2008年7月16日

[debian-users:50748] Re: etch-custom-0720.isoについて

大坪です。お世話になります。

> > もしそうならば、安定版であるetchの仕様のetch-custom-0720.isoの方を用い、
> > kernelだけを別途新しいバージョンのものをインストールして、
> > ローカルセキュリティホールの修正などに対応してみたいと思いますが、これでも良いものでしょうか?
> これは、Debian で提供されている 修正済 Linux カーネルパッケージを利用する、というのではなくて、
> 例えば、linux-2.6.26 を使うということでしょうか。
> 仮にこの場合だとした場合、特に問題はないと思います。


etch-custom-0720.isoの説明
http://kmuto.jp/b.cgi/debian/d-i-2621-etch.htm
に、
There isn't any new features except the image uses 2.6.21.
とあります。
そこで、SATAのHDD、Core 2 duoのCPUあたりは、kernel image を 2.6.21にするだけで、
利用できたのではと思いました。
そして、2.6.21にローカルセキュリティホールがあるとすれば、kernel を
http://www.kernel.org/pub/linux/kernel/v2.6/
あたりを用いて、更にバージョンアップすればよいのではと思いました。
これだと問題ないのでしょうか。

なお、Debian で提供されている 修正済 Linux カーネルパッケージを利用する
という意味がよくわかりません。

stableのetchにおいて、
$ aptitude search linux-image
を用いて表示される
linux-image-2.6.25-2-686等は、
linux-image-2.6.25-2-686 - Linux 2.6.25 image on PPro/Celeron/PII/PIII/P4
等となっており、Core 2 duoに使えるようには表示されていません。

Debian で提供されている 修正済 Linux カーネルパッケージを利用するとは、
例えばlinux-image-2.6.25-2-686では本来Core 2 duoが使えるが、
etchで提供するlinux-image-2.6.25-2-686ではP4までしか使えないように修正してある
という意味なのでしょうか?

宜しくお願いします。


投稿者 xml-rpc : 2008年7月16日 12:17
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/75394
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。